<?php
	
	/**
	 *	@project	Битва титанов
	 *	@author		ЭKZO
	 */
	
	include_once __DIR__ . '/include/common.php';
	include_once __DIR__ . '/include/general_functions.php';
	include_once __DIR__ . '/include/utils.php';	
	include_once __DIR__ . '/include/user.php';
	
	if ( ! @$user)
			redirect('/');
	
	$params	=	[];
	$params['title']	=	'Лаборатория';
	$params['list_errors']	=	[];
	
	ob_start();
	
	include_once __DIR__ . '/include/header.php';
	
	switch (@$_GET['act'])
	{
		
		default:
	?>

	<div class='container cntr c_blue'>В лаборатории можно усилить своего персонажа</div>
	<div class='dtd-line'></div>
	<div class='container cntr'>
	<img src='/images/places/lab.png' alt=''/>
	</div>
	<div class='min-line'></div>
	<ul class='list'>
		<li><a href='/effshop'><img src='/images/icon/equip.png' alt=''/> Усиления персонажа<br />
			<span class='small c_white'>Увеличение силы, опыта и награды</span></a></li>
		<li><a href='/lab/?act=premium'><img src='/images/icon/premium.png' alt=''/> Благословение<br />
			<span class='small c_white'>Увеличение опыта и награды</span></a></li>
	</ul>
	<?php
	
	
		break;
		
		case	'premium':
	
	?>
	<div class='title'>Благословение</div>
	<?php
		
		if ( ! premium_exists(
			$user['id']
		))
		{
			if (isset ($_GET['get']))
			{
				
				if ($user['gold']<1000)
					$params['list_errors'][]	=	sprintf(
					'Нехватает <img src="/images/icon/gold.png" alt="" /> %d',
					1000-$user['gold']
				);
				
				if (sizeof($params['list_errors'])==0)
				{
					
					@mysql_query(sprintf(
						'INSERT INTO
								`premium`
								(
									`user_id`,
									`time`
								)
								VALUES
								(
									%d,
									%d
								)',
						$user['id'],
						time()	+	86400	*	7
					));
					
					@mysql_query(sprintf(
						'UPDATE
								`users`
							SET
								`gold`	=	`gold`	-	1000,
								`str`	=	`str`	+	500,
								`dex`	=	`dex`	+	500,
								`protection`
										=	`protection`
													+	500,
								`life`	=	`life`	+	500
							WHERE
								`id`	=	%d',
						$user['id']
					));
					
					redirect('/lab/?act=premium');
					
				}
				
			}
	?>
	<div class='container cntr'><img src='/images/places/prem-off.png' alt='' /></div>
	<div class='min-line'></div>
	<ul class='menu'>
		<li class='cntr'>
			<span class='c_l-green'>+500</span> к параметрам<br />
			<img src='/images/icon/exp.png' alt='' /> <span class='c_l-green'>+50%</span> к опыту<br />
			Время поисков и добыча ресурсов на <span class='c_l-green'>25%</span> меньше
		</li>
		<li class='cntr'>
			<a href='/lab/?act=premium&get' class='btn'>Купить</a><br />
			<span class='c_grey'>Цена: <img src='/images/icon/gold.png' alt='' /> 1000 золота</span>
		</li>
	</ul>
	<?php
		}
		else
		{
			
			//	получение оставшегося времени благоставения
			$timeleft	=	get_premium_timeleft(
				$user['id']
			);
	?>
	<div class='container cntr'><img src='/images/places/prem-on.png' alt='' /></div>
	<div class='min-line'></div>
	<div class='container cntr'>
		Благославение активировано !<br />
		<span class='c_blue'>Осталось:</span>	<?=timeleft($timeleft)?>
	</div>
	<?php

		}
		
		break;
		
	}
	
	include_once __DIR__ . '/include/footer.php';
	
	setContentType('text/html; charset=UTF-8');
	render(
		__DIR__ . '/include/template.php',
		ob_get_clean(),
		$params
	);
	
	?>